package com.tofly.feesapi.sfgl.mapper;
import com.tofly.feesapi.common.core.dto.PageDto;
import com.tofly.feesapi.sfgl.entity.dto.*;
import com.tofly.feesapi.sfgl.entity.vo.*;
import org.apache.ibatis.annotations.Param;
import java.util.List;


/**
 * 收费报表
 */
public interface YySspjxxReportMapper{

    List<YySspjxxReport> getYySspjxxReport(YySspjxxReportFilter filter);

    /**
     * 实时明细列表
     * @return
     */
    PageDto<YySspjxxMxReport> getYySspjxxMxReport(PageDto pageDto, @Param("filter")YySspjxxMxFilter filter);

    List<YySspjxxMxReport> getYySspjxxMxReport(@Param("filter")YySspjxxMxFilter filter);

    PageDto<YySspjxxLsMxReport> getYySspjxxLsMxReport(PageDto pageDto, @Param("filter")YySspjxxMxFilter filter);
    List<YySspjxxLsMxReport> getYySspjxxLsMxReport(@Param("filter")YySspjxxMxFilter filter);
}
